Package: org.codehaus.groovy.runtime.callsite

## [Java] Interface CallSite

-     public interface CallSite

  Classic (non-`invokedynamic`) call site.

  Prefer invokedynamic call sites for new code. Planned for deprecation/removal in a future Groovy version.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `call(Object receiver, Object[] args)`
    `` | `public Object` | `call(Object receiver)`
    `` | `public Object` | `call(Object receiver, Object arg1)`
    `` | `public Object` | `call(Object receiver, Object arg1, Object arg2)`
    `` | `public Object` | `call(Object receiver, Object arg1, Object arg2, Object arg3)`
    `` | `public Object` | `call(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
    `` | `public Object` | `callConstructor(Object receiver, Object[] args)`
    `` | `public Object` | `callConstructor(Object receiver)`
    `` | `public Object` | `callConstructor(Object receiver, Object arg1)`
    `` | `public Object` | `callConstructor(Object receiver, Object arg1, Object arg2)`
    `` | `public Object` | `callConstructor(Object receiver, Object arg1, Object arg2, Object arg3)`
    `` | `public Object` | `callConstructor(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
    `` | `public Object` | `callCurrent(GroovyObject receiver, Object[] args)`
    `` | `public Object` | `callCurrent(GroovyObject receiver)`
    `` | `public Object` | `callCurrent(GroovyObject receiver, Object arg1)`
    `` | `public Object` | `callCurrent(GroovyObject receiver, Object arg1, Object arg2)`
    `` | `public Object` | `callCurrent(GroovyObject receiver, Object arg1, Object arg2, Object arg3)`
    `` | `public Object` | `callCurrent(GroovyObject receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
    `` | `public Object` | `callGetProperty(Object receiver)`
    `` | `public Object` | `callGetPropertySafe(Object receiver)`
    `` | `public Object` | `callGroovyObjectGetProperty(Object receiver)`
    `` | `public Object` | `callGroovyObjectGetPropertySafe(Object receiver)`
    `` | `public Object` | `callSafe(Object receiver, Object[] args)`
    `` | `public Object` | `callSafe(Object receiver)`
    `` | `public Object` | `callSafe(Object receiver, Object arg1)`
    `` | `public Object` | `callSafe(Object receiver, Object arg1, Object arg2)`
    `` | `public Object` | `callSafe(Object receiver, Object arg1, Object arg2, Object arg3)`
    `` | `public Object` | `callSafe(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
    `` | `public Object` | `callStatic(Class receiver, Object[] args)`
    `` | `public Object` | `callStatic(Class receiver)`
    `` | `public Object` | `callStatic(Class receiver, Object arg1)`
    `` | `public Object` | `callStatic(Class receiver, Object arg1, Object arg2)`
    `` | `public Object` | `callStatic(Class receiver, Object arg1, Object arg2, Object arg3)`
    `` | `public Object` | `callStatic(Class receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
    `` | `public CallSiteArray` | `getArray()`
    `` | `public int` | `getIndex()`
    `` | `public String` | `getName()`
    `` | `public Object` | `getProperty(Object receiver)`

- - ### Method Detail

    - #### public Object call(Object receiver, Object[] args)

    - #### public Object call(Object receiver)

    - #### public Object call(Object receiver, Object arg1)

    - #### public Object call(Object receiver, Object arg1, Object arg2)

    - #### public Object call(Object receiver, Object arg1, Object arg2, Object arg3)

    - #### public Object call(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)

    - #### public Object callConstructor(Object receiver, Object[] args)

    - #### public Object callConstructor(Object receiver)

    - #### public Object callConstructor(Object receiver, Object arg1)

    - #### public Object callConstructor(Object receiver, Object arg1, Object arg2)

    - #### public Object callConstructor(Object receiver, Object arg1, Object arg2, Object arg3)

    - #### public Object callConstructor(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)

    - #### public Object callCurrent(GroovyObject receiver, Object[] args)

    - #### public Object callCurrent(GroovyObject receiver)

    - #### public Object callCurrent(GroovyObject receiver, Object arg1)

    - #### public Object callCurrent(GroovyObject receiver, Object arg1, Object arg2)

    - #### public Object callCurrent(GroovyObject receiver, Object arg1, Object arg2, Object arg3)

    - #### public Object callCurrent(GroovyObject receiver, Object arg1, Object arg2, Object arg3, Object arg4)

    - #### public Object callGetProperty(Object receiver)

    - #### public Object callGetPropertySafe(Object receiver)

    - #### public Object callGroovyObjectGetProperty(Object receiver)

    - #### public Object callGroovyObjectGetPropertySafe(Object receiver)

    - #### public Object callSafe(Object receiver, Object[] args)

    - #### public Object callSafe(Object receiver)

    - #### public Object callSafe(Object receiver, Object arg1)

    - #### public Object callSafe(Object receiver, Object arg1, Object arg2)

    - #### public Object callSafe(Object receiver, Object arg1, Object arg2, Object arg3)

    - #### public Object callSafe(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)

    - #### public Object callStatic(Class receiver, Object[] args)

    - #### public Object callStatic(Class receiver)

    - #### public Object callStatic(Class receiver, Object arg1)

    - #### public Object callStatic(Class receiver, Object arg1, Object arg2)

    - #### public Object callStatic(Class receiver, Object arg1, Object arg2, Object arg3)

    - #### public Object callStatic(Class receiver, Object arg1, Object arg2, Object arg3, Object arg4)

    - #### public CallSiteArray getArray()

    - #### public int getIndex()

    - #### public String getName()

    - #### public Object getProperty(Object receiver)